Check Order Status

Checking order status in a payment gateway refers to the process of verifying the status of a payment transaction, typically including whether it has been successfully processed, declined, pending, or completed, providing transparency and information to both merchants and customers.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Params:

NameTypeDescriptionMandatory(Y-yes)/Optional(O)
clientIdStringClient Id is provided in wowpe Dashboard.Y
secretKeyStringsecretKey is provided in wowpe Dashboard.Y
orderIdStringWowpe order idY

Request Sample:

{
  "clientId": "2448982d-ef21-48XXX",
  "secretKey": "bb316991-9001-43eaXXX",
  "orderId": "ENAN1000137"
}

Response Param:

KeyTypeDescription
statusCodeInt0 => No action needs to be taken if StatusCode is 0 in case of status check.
1=> If status code is 1, Get Final status of transaction from status parameter
messageStringSuccessfully, Pending, Failure
OrderIdStringWowpe order ID
CurrencyStringTransaction initiated Currency
AmountIntTransaction Amount
bankRefNoStringBank ref. Number
PaymentModeStringIntent / Collect
OrderInfoStringYour order ID
userNameStringuserName
statusIntFailed = 0,
Paid = 1,
Created = 2,
Attempted = 3,
Refund = 4,
Accepted = 5,
Expired = 6,
PartialPaid = 7,
Cancelled = 8,
Body Params
string
required

Client Id is provided in wowpe Dashboard

string
required

secretKey is provided in wowpe Dashboard.

string
required

Wowpe order id

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json